Subject: Re: [PATCH net-next] net: stmmac: propagate feature flags to vlan

From: Jakub Kicinski <[email-masked]>
Date: Wed, 12 Apr 2023 21:15:13 -0700

On Tue, 11 Apr 2023 15:00:28 +0200 Corinna Vinschen wrote:
> stmmac_dev_probe doesn't propagate feature flags to VLANs.  So features
> like TX offloading don't correspond with the general features and it's
> not possible to manipulate features via ethtool -K to affect VLANs.

Actually, could you add to the commit message a sentence or two about
the features that you tested and/or a mention of the manual indicating
that they are supported over vlans? Especially TSO on a quick look.
I just realized now that you didn't explicitly say that those features
work, just that you can manipulate them...